## org.gjt.sp.jedit.gui
Class KeyEventWorkaround

    java.lang.Object
      org.gjt.sp.jedit.gui.KeyEventWorkaround

    public class KeyEventWorkaround

extends java.lang.Object

Various hacks to get keyboard event handling to behave in a consistent manner across Java implementations. This type of stuff should not be necessary, but Java's keyboard handling is crap, to put it mildly.

Constructor Summary
`KeyEventWorkaround()`

Method Summary
`static boolean` `isBindable(int keyCode)`
`static boolean` `isMacControl(java.awt.event.KeyEvent evt)` Apple sucks.
`static boolean` `isNumericKeypad(int keyCode)`
`static boolean` `isPrintable(int keyCode)` We need to know if a keycode can potentially result in a keytyped.
`static void` `numericKeypadKey()` A workaround for non-working NumLock status in some Java versions.
`static java.awt.event.KeyEvent` `processKeyEvent(java.awt.event.KeyEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyEventWorkaround

    public KeyEventWorkaround()

Method Detail

### isBindable

    public static boolean isBindable(int keyCode)

### isPrintable

    public static boolean isPrintable(int keyCode)

  We need to know if a keycode can potentially result in a keytyped.

  Since:
    jEdit 4.3pre2

### isMacControl

    public static boolean isMacControl(java.awt.event.KeyEvent evt)

  Apple sucks.

### isNumericKeypad

    public static boolean isNumericKeypad(int keyCode)

### processKeyEvent

    public static java.awt.event.KeyEvent processKeyEvent(java.awt.event.KeyEvent evt)

### numericKeypadKey

    public static void numericKeypadKey()

  A workaround for non-working NumLock status in some Java versions.

  Since:
    jEdit 4.0pre8